import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 *  This file can be used to create very simple GUIs.  Just fill in
 *  the definition of the constructor with the code for the GUI layout.
 *  Create a main method that instantiates a new object of 
 *  SimpleCalculator -- this runs the code in the constructor that
 *  instantiates, positions, and sets listeners on components for
 *  which this is appropriate.
 *  
 */
public class SimpleCalculator extends JPanel implements ActionListener {

    JPanel calcPanel,panelX,panelY,buttonPanel,resultPanel;
    
    JButton plus,minus,mult,div;
    JLabel xEqual,yEqual;
    JTextField enterX,enterY,answer;
    
    public static void main(String[] args) {
        SimpleCalculator sgs=new SimpleCalculator();   
    }
    
    public void actionPerformed(ActionEvent evt){
        double x, y;
        String xStr, yStr;
        
        try {
            xStr = enterX.getText();
            x = Double.parseDouble(xStr);
        }catch(NumberFormatException nfe) {
            answer.setText("Illegal data for x.");
            enterX.requestFocusInWindow();
            return;
        }
        try {
            yStr = enterY.getText();
            y = Double.parseDouble(yStr);
        }catch(NumberFormatException nfe) {
            answer.setText("Illegal data for y.");
            enterY.requestFocusInWindow();
            return;
        }
        String op = evt.getActionCommand();
        if (op.equals("+"))
            answer.setText("x + y = " + (x+y));
        else if (op.equals("-"))
            answer.setText("x - y = " + (x-y));
        else if (op.equals("*"))
            answer.setText("x * y = " + (x*y));
        else if (op.equals("/")) {
            if (y == 0)
                answer.setText("Can't divide by zero.");
            else
                answer.setText("x / y = " + (x/y));
        }        
    }
    
    public SimpleCalculator() {
        // bigPane is window to hold all JPanels
        JFrame bigPane = new JFrame("Simple Calculator");  
        bigPane.setLayout(null);         
        bigPane.setBackground(Color.BLACK);
        bigPane.setLocation(100,50);
        
        calcPanel = new JPanel();
        calcPanel.setLayout(new GridLayout(4,1,3,3));
        bigPane.setContentPane(calcPanel);      
        
        panelX = new JPanel();
        panelX.setBackground(Color.GRAY);
        panelX.setLayout(new FlowLayout());
        Font bigText = new Font("SansSerif",Font.BOLD,20);
        enterX = new JTextField("0", 10);
        enterX.setFont(bigText);
        
        panelY = new JPanel();
        panelY.setBackground(Color.GRAY);
        panelY.setLayout(new FlowLayout());
        enterY = new JTextField("0", 10);
        enterY.setFont(bigText);
        
        xEqual = new JLabel("x = ");
        xEqual.setFont(bigText);
        yEqual = new JLabel("y = ");
        yEqual.setFont(bigText);
        panelX.add(xEqual);
        panelX.add(enterX);
        panelY.add(yEqual);
        panelY.add(enterY);
        
        bigPane.add(panelX);
        bigPane.add(panelY);
        bigPane.setPreferredSize(new Dimension(300,300));
        
        Font biggerText = new Font("SansSerif",Font.BOLD,36);
        plus = new JButton("+");
        plus.setFont(biggerText);
        plus.addActionListener(this);
        minus = new JButton("-");
        minus.setFont(biggerText);
        minus.addActionListener(this);
        mult = new JButton("*");
        mult.setFont(biggerText);
        mult.addActionListener(this);
        div = new JButton("/");
        div.setFont(biggerText);
        div.addActionListener(this);
        
        resultPanel = new JPanel();
        answer = new JTextField("",300);
        resultPanel.setLayout(new GridLayout(1,1));
        answer.setFont(bigText);
        resultPanel.add(answer);    
        
        buttonPanel = new JPanel();
        buttonPanel.setLayout(new GridLayout(1,1));
        buttonPanel.add(plus);
        buttonPanel.add(minus);
        buttonPanel.add(mult);
        buttonPanel.add(div);
        
        bigPane.setPreferredSize(new Dimension(300,300));
        bigPane.add(panelX);
        bigPane.add(panelY);
        bigPane.add(buttonPanel);
        bigPane.add(resultPanel);

        bigPane.pack();
        bigPane.setLocation(100,50);
        bigPane.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        bigPane.setResizable(false);
        bigPane.setVisible(true);

    } 
}
